Faqs
Update FAQ
Update an existing FAQ entry. Only FAQs belonging to the organization associated with the API key can be updated.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication for API access.
In: header
Path Parameters
faqId?number
The unique identifier of the FAQ
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://api.sophiie.ai/v1/faqs/{faqId}" \ -H "Content-Type: application/json" \ -d '{}'{
"faq": {
"id": 123,
"question": "What is the question of the FAQ?",
"answer": "This is the answer of the FAQ",
"isActive": true
}
}{
"success": false,
"message": "Invalid or expired token",
"error": {
"status": 401,
"message": "Invalid or expired token"
}
}{
"success": false,
"message": "Not found",
"error": {
"status": 404,
"message": "Not found"
}
}{
"success": false,
"message": "Internal server error",
"error": {
"status": 500,
"message": "Internal server error"
}
}List FAQs GET
Retrieve a paginated list of faqs. Returns FAQ data including question, answer. Results are filtered by the organization associated with the API key.
Get Inquiry GET
Retrieve a single inquiry with populated polymorphic source data. Results are filtered by the organization associated with the API key.